Bug Hunting Session
Bug 93587 - insert table in draw ole object
Summary: insert table in draw ole object
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-22 05:03 UTC by Emersson Augusto Suarez Ortiz
Modified: 2016-10-25 19:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Explain the problem (Hope so) (770.07 KB, application/vnd.oasis.opendocument.text)
2015-09-23 13:30 UTC, Emersson Augusto Suarez Ortiz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emersson Augusto Suarez Ortiz 2015-08-22 05:03:20 UTC
When you insert a Draw Ole Object in Writer, you can not insert in it a table, then alway I have to made the flow chart in Draw and then paste into writer, cause I insert the table in draw and copy to object in writer and the program crash. By the way, it is unbelievable that writer hasn't the connector tool to made flow chart, but it has all the flow chart controls (¿?)
Comment 1 Julien Nabet 2015-08-22 09:19:41 UTC
Can't be a blocker, see https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Severity
Comment 2 raal 2015-08-24 21:19:33 UTC
Hello,
Thank you for filing the bug. Please send us a sample document and provide step by step instructions, as this makes it easier for us to verify the bug.
Comment 3 Julien Nabet 2015-08-29 12:45:45 UTC
Following Raal's comment=> NEEDINFO
Comment 4 Emersson Augusto Suarez Ortiz 2015-09-23 13:30:21 UTC
Created attachment 118969 [details]
Explain the problem (Hope so)
Comment 5 raal 2015-09-23 21:01:19 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 83ef294dddf3b1ab5cd5f91a792a7d9413a08f1f
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-20_07:00:46
and LibreOffice 3.5.0 
Build ID: d6cde02
Comment 6 Julien Nabet 2015-09-27 19:18:27 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
I noticed that the disabling was done here:
http://opengrok.libreoffice.org/xref/core/sd/source/ui/table/tablefunction.cxx#228
Comment 7 Julien Nabet 2015-09-27 20:15:53 UTC
Let's give a try with this:
https://gerrit.libreoffice.org/#/c/18897/
Comment 8 Commit Notification 2015-10-01 09:22:23 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2135b4a88d755c0b79a3b93b2269f08b709220c5

tdf#93587: insert table in draw ole object

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Julien Nabet 2015-10-01 09:31:28 UTC
5.0 branch: https://gerrit.libreoffice.org/#/c/19067/1
Comment 10 Commit Notification 2015-10-29 09:38:19 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53b8f63d0a8a8d1f99e2f4bf20934cf52c2b6bcd&h=libreoffice-5-0

tdf#93587: insert table in draw ole object

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.